### Constructor

# ICalGLib VcardStructured new

since: 4.0

#### Declaration [src]

    ICalVcardStructured*
    i_cal_vcard_structured_new (
      guint num_fields
    )

#### Description [src]

Creates a new `ICalVcardStructured`.

Available since: 4.0

#### Parameters

`num_fields`

  Type: `guint`

  The initial number of fields.

#### Return value

Type: `const ICalVcardStructured`

The newly created `ICalVcardStructured`.

The caller of the function takes ownership of the data, and is responsible for freeing it.